Panikuppdatering till WordPress 5.5.3

Bugg i 5.5.2 ställde till autouppdateringarna.

Foto av Jasmin Sessler

Hanteringen av en bugg i nyligen släppta WordPress 5.5.2 gjorde att autouppdateringar skickades ut för alfaversionen av 5.5.3. Detta resulterade i att webbplatser som uppdaterades – vilket inte nödvändigtvis är alla – fick en beta-testarvarning, och även tillägget Akismet samt alla standardteman av Twenty-typ installerade. Varken tillägget eller temana aktiverades, de lades bara till, så om detta har hänt dig och du inte använder något av dem så kan du radera utan risk. Felet avhjälptes på runt 20 minuter, till synes, så det är fullt möjligt att du inte har drabbats, utan bara uppdaterats till ”vanliga” 5.5.3, vilket är helt i sin ordning.

Autouppdateringar av WordPress har varit en het fråga och många känner att det inte riktigt känns så säkert som det borde. Vissa väljer att stänga av autouppdateringar av säkerhetsuppdateringar, medan andra känner en oro inför varje version som släpps eftersom de inte vet om något går sönder. För att vara extra tydlig dock: ingenting bör kunna gå sönder av en säkerhetsuppdatering, alltså en mindre version, eftersom det inte ska finnas några förändringar eller nya funktioner i dessa – bara fixade buggar. Med det sagt är det så klart möjligt att ett tema eller tillägg som använts inte är utvecklat på rätt sätt, och förlitar sig på en felaktighet i WordPress, men det är osannolikt. Automatiska uppdateringar av säkerhetsversionerna hjälper till att hålla WordPress säkert, och är en bra funktion.

Vad som känns mindre bra är att uppdateringsproceduren återigen har haft hicka. Det spär på osäkerheten många känner inför den här toppstyrningen av WordPress, och kommer förstås olägligt eftersom kommande WordPress 5.6 är tänkt att ha (valfritt) stöd för automatiska uppdateringar även av större versioner. Måhända är det bra att det blir ytterligare en diskussion kring hur automatiska uppdateringar fungerar, för precis på samma sätt som det kan vara en säkerhet, så är det en väg in i miljontals WordPress-installationer.

Och buggen som skulle fixas, och som ledde till allt det här, vad var det? Det var ett problem rörande nya installationer, alltså de som inte fått en wp-config.php genererad ännu. Det rörde sig alltså om ett problem i uppdateringsflödena, inte i själva WordPress-versionen (5.5.2). Därför var det heller ingen funktionell risk med att alfaversionen av 5.5.3 rullades ut – den är identisk med 5.5.2 eftersom inget arbete hade påbörjats ännu. Det enda som skadades var förtroendet för automatiska uppdateringar, och kanske för frilansare samt byråer vars kunder såg en betanotis i sina admingränssnitt.

Nyfikna kan läsa mer om vad som hände bakom kulisserna i Make-posten.

Created with Sketch. Scrolla för mer läsning